Bug 972681 (CVE-2013-4076)

Summary: CVE-2013-4076 wireshark: Invalid free in the PPP dissector (wnpa-sec-2013-34)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: huzaifas, jrusnack, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130607,reported=20130609,source=cve,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,fedora-17/wireshark=affected,fedora-18/wireshark=affected
Fixed In Version: wireshark-1.8.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-11 00:41:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 972760, 972762, 979246    
Bug Blocks: 972772    

Description Jan Lieskovsky 2013-06-10 08:03:26 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4076 to the following vulnerability:

Buffer overflow in the dissect_iphc_crtp_fh function in epan/dissectors/packet-ppp.c in the PPP dissector in Wireshark 1.8.x before 1.8.8 allows remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-ppp.c?r1=46128&r2=46127&pathrev=46128
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=46128
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.8.8.html
[4] http://www.wireshark.org/security/wnpa-sec-2013-34.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7880
[6] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8727
Comment 1 Jan Lieskovsky 2013-06-10 09:34:42 EDT
This issue affects the versions of the wireshark package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-10 10:27:21 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-17 [bug 972760]
Comment 3 Jan Lieskovsky 2013-06-10 10:33:36 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 972762]
Comment 4 Huzaifa S. Sidhpurwala 2013-06-11 00:41:48 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Vincent Danen 2013-06-14 14:25:35 EDT
External References:

http://www.wireshark.org/security/wnpa-sec-2013-34.html
Comment 6 Fedora Update System 2013-09-27 20:12:57 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-02 21:03:56 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-19 02:10:30 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.